--this mod should not do anything in VR
if _G.IS_VR then
	return
end

local mvec3_dis_sq = mvector3.distance_sq
local mvec3_set = mvector3.set
local mvec3_set_z = mvector3.set_z
local mvec3_sub = mvector3.subtract
local mvec3_add = mvector3.add
local mvec3_mul = mvector3.multiply
local mvec3_norm = mvector3.normalize

local temp_vec1 = Vector3()

local tmp_ground_from_vec = Vector3()
local tmp_ground_to_vec = Vector3()
local up_offset_vec = math.UP * 30
local down_offset_vec = math.UP * -40
local fwd_ray_to = Vector3()
local win32 = SystemInfo:platform() == Idstring("WIN32")
local mvec_pos_new = Vector3()
local mvec_achieved_walk_vel = Vector3()
local mvec_move_dir_normalized = Vector3()

local orig_check_action_interact = PlayerStandard._check_action_interact
function PlayerStandard:_check_action_interact(t,input,...)
	if input.btn_interact_press then
		local settings = SSIB.settings
		if settings.interact_enabled then
			if settings.interact_use_modifier then
				if SSIB:CheckInteractWanted() then
					return SSIB:_DoActionInteract(self,t,input)
				end
			end
		end
		if settings.intimidate_enabled then
			if settings.intimidate_use_modifier then
				if SSIB:CheckIntimidateWanted() then
					return SSIB:_DoActionIntimidate(self,t,input)
				end
			end
		end
		if settings.call_enabled then
			if settings.call_use_modifier then
				if SSIB:CheckCallWanted() then
					return SSIB:_DoActionCall(self,t,input)
				end
			end
		end
		if settings.mark_enabled then
			if settings.mark_use_modifier then
				if SSIB:CheckMarkWanted() then
					return SSIB:_DoActionMark(self,t,input)
				end
			end
		end
	end
	
	return orig_check_action_interact(self,t,input,...)
end
